Subject: bug#16514: 24.3.50; Region overlay looks bad on refined hunks in diff-mode

From: Kévin Le Gouguec <[email-masked]>
Date: Sun, 06 Dec 2020 16:39:04 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> I'm not sure I understand the recipe at all, but what I did was
>
> C-x v =
>
> in a file that had changes, and then created a region with the mouse
> over an arbitrary bit of that buffer:
>
> <screenshot>
>
> And the results don't look obviously wrong to me.  So is this something
> that has been fixed already, or am I reproducing it wrong?

I'm not sure I understand the original recipe either, but the following
steps do show something inconsistent IMO:

1. emacs -Q CONTRIBUTE
2. C-x v g
3. move to "461cb9217d8 CONTRIBUTE (Paul Eggert 2019-05-25 10)"
4. =
5. move to the first removed line ("Briefly, …")
6. C-SPC
7. C-f C-f …

As long as point does not go past the refinement (before the comma), the
region's background has the region face's background.

Once point moves past the refinement, only non-refined parts keep the
region face's background; refined parts keep the refinement background.